Skip to content
localisyncDocs
Open panel

Search the language catalog

Requires a valid customer session. Validates or searches the local registered language catalog without an external network call.

GET /api/v1/locales

Operation: searchLocales · Download OpenAPI

This operation does not use the panel session as its authentication mechanism. Follow the operation-specific checks described above.

session

{
"type": "apiKey",
"in": "cookie",
"name": "__Host-localisync-session"
}
Name Location Required Description
page query No See constraints below.
pageSize query No See constraints below.
q query No See constraints below.
{
"type": "integer",
"minimum": 1,
"maximum": 100000,
"default": 1
}
{
"type": "integer",
"minimum": 1,
"maximum": 100,
"default": 25
}
{
"type": "string",
"maxLength": 255,
"default": ""
}

No request body.

Success

Response headers:

{
"Cache-Control": {
"schema": {
"type": "string",
"const": "no-store"
}
}
}

Content type: application/json Schema reference: LocalesPage.

Field Type Required Constraints / description
items Array of Locale Yes —
page integer Yes minimum: 1
pageSize integer Yes minimum: 1; maximum: 100
hasMore boolean Yes —
registryDate string Yes format: "date"
{
"$ref": "#/components/schemas/LocalesPage"
}

Invalid fields or unsupported locale

Response headers:

{
"Cache-Control": {
"schema": {
"type": "string",
"const": "no-store"
}
}
}

Content type: application/json Schema reference: Error.

Field Type Required Constraints / description
error unauthorized, forbidden, invalid_request, not_found, conflict, rate_limited, unavailable Yes —
message string Yes —
requestId string No —
details object No —
{
"$ref": "#/components/schemas/Error"
}

Authentication required

Response headers:

{
"Cache-Control": {
"schema": {
"type": "string",
"const": "no-store"
}
}
}

Content type: application/json Schema reference: Error.

Field Type Required Constraints / description
error unauthorized, forbidden, invalid_request, not_found, conflict, rate_limited, unavailable Yes —
message string Yes —
requestId string No —
details object No —
{
"$ref": "#/components/schemas/Error"
}

Insufficient role or invalid CSRF/Origin

Response headers:

{
"Cache-Control": {
"schema": {
"type": "string",
"const": "no-store"
}
}
}

Content type: application/json Schema reference: Error.

Field Type Required Constraints / description
error unauthorized, forbidden, invalid_request, not_found, conflict, rate_limited, unavailable Yes —
message string Yes —
requestId string No —
details object No —
{
"$ref": "#/components/schemas/Error"
}

Resource unavailable in the current workspace

Response headers:

{
"Cache-Control": {
"schema": {
"type": "string",
"const": "no-store"
}
}
}

Content type: application/json Schema reference: Error.

Field Type Required Constraints / description
error unauthorized, forbidden, invalid_request, not_found, conflict, rate_limited, unavailable Yes —
message string Yes —
requestId string No —
details object No —
{
"$ref": "#/components/schemas/Error"
}

Version, lifecycle, graph or idempotency conflict

Response headers:

{
"Cache-Control": {
"schema": {
"type": "string",
"const": "no-store"
}
}
}

Content type: application/json Schema reference: Error.

Field Type Required Constraints / description
error unauthorized, forbidden, invalid_request, not_found, conflict, rate_limited, unavailable Yes —
message string Yes —
requestId string No —
details object No —
{
"$ref": "#/components/schemas/Error"
}

Request limit reached

Response headers:

{
"Cache-Control": {
"schema": {
"type": "string",
"const": "no-store"
}
}
}

Content type: application/json

Field Type Required Constraints / description
message string Yes —
error string No —
statusCode integer No —
{
"type": "object",
"properties": {
"message": {
"type": "string"
},
"error": {
"type": "string"
},
"statusCode": {
"type": "integer"
}
},
"required": [
"message"
],
"description": "Fastify route limits or the aggregate application limit may supply this response."
}

Dependency unavailable

Response headers:

{
"Cache-Control": {
"schema": {
"type": "string",
"const": "no-store"
}
}
}

Content type: application/json Schema reference: Error.

Field Type Required Constraints / description
error unauthorized, forbidden, invalid_request, not_found, conflict, rate_limited, unavailable Yes —
message string Yes —
requestId string No —
details object No —
{
"$ref": "#/components/schemas/Error"
}

Request errors and safe retries · Troubleshooting

Cookie preferences

Your choice applies to localisync.com and docs.localisync.com. You can change it at any time using Cookie settings.